Raritan PX2/PX3 JSON-RPC API

EDevice.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2012 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __PDUMODEL_EDEVICE_IDL__
7 #define __PDUMODEL_EDEVICE_IDL__
8
9 /** PDU Model */
10 module pdumodel {
11
12 /**
13 * Common base interface for any kind of electrical device that is used
14 * in the PDU model, such as inlets, OCPs and outlets.
15 *
16 * EDevices form a hierarchy of parent-child relationships. An EDevice is
17 * defined to be the parent of another if it "provides energy" to the
18 * latter. E.g. an inlet could be the parent of a number of OCPs,
19 * wires or outlets.
20 *
21 * An EDevice can have multiple parents, e.g. in case of transfer switches
22 * which select power from multiple sources.
23 */
24 interface EDevice {
25
26 /**
27 * Get the list of devices that provide energy to this device.
28 *
29 * @return List of parent devices
30 */
31 vector<EDevice> getParents();
32
33 /**
34 * Get the list of devices that are directly fed by this device.
35 *
36 * @return List of child devices
37 */
38 vector<EDevice> getChildren();
39
40 };
41
42 }
43
44 #endif
pdumodel::EDevice
Common base interface for any kind of electrical device that is used in the PDU model, such as inlets, OCPs and outlets.
Definition: EDevice.idl:24
pdumodel
PDU Model.
Definition: Ade.idl:12